#!/usr/bin/env bash

function delete() {
  if [[ ! -d "$(getValueByKey 'PODMAN_DIRECTORY')/${1}" ]]; then
    log e "Directory '${1}' does not exist!"
    exit 1
  fi

  local delDir="$(getValueByKey 'PODMAN_DIRECTORY')/${1}"

  while [[ ! ${deleteAns} =~ [YyNn] ]]; do
    read -p "Do you really want to delete the complete directory located in ${delDir} ? (This is an unrecoverable process): " deleteAns
    case "${deleteAns}" in
      "N"|"n")
        log e "Aborted by user!"
        exit 1
      ;;
    esac
  done

  rm -rf "${delDir}"
  log s "Server '${1}' deleted!"
}
